{{- $distro := .distro -}}
{{- $suite := .suite -}}
{{- $flavor := .flavor -}}
{{- $repo_prefix := .repo_prefix -}}
{{- $radxa_mirror := .radxa_mirror -}}

{{- $architecture := .architecture -}}

architecture: {{ $architecture }}

actions:
  - action: unpack
    description: Unpack rootfs
    file: .rootfs/{{ $distro }}_{{ $suite }}{{ $repo_prefix }}_base.tar

  - action: recipe
    description: Install {{ $flavor }} packages
    recipe: flavors/{{ $flavor }}.yaml
    variables:
      distro: {{ $distro }}
      suite: {{ $suite }}
      radxa_mirror: {{ $radxa_mirror }}

  - action: recipe
    description: Install Citadel
    recipe: install_citadel.yaml

  - action: run
    description: OEM system setup
    chroot: true
    command: |
      set -e

      rm -f /etc/resolv.conf
      rsetup update_hostname citadel

      if apt list --installed foot 2>/dev/null | grep -q "installed"
      then
        mkdir -p /etc/skel/.config/foot
        cp /etc/xdg/foot/foot.ini /etc/skel/.config/foot/foot.ini
      fi

      if apt list --installed sway 2>/dev/null | grep -q "installed"
      then
        mkdir -p /etc/skel/.config/sway
        cp /etc/sway/config /etc/skel/.config/sway/config
      fi

      if apt list --installed systemd-boot 2>/dev/null | grep -q "installed"
      then
        mkdir /boot/efi
        # SYSTEMD_RELAX_ESP_CHECKS=1 SYSTEMD_ESP_PATH=/boot/efi bootctl install --entry-token=os-id --make-entry-directory=yes
      fi

      systemctl enable haveged

      . /etc/os-release
      if [ "$ID" = "debian" ]
      then
        update-alternatives --set regulatory.db /lib/firmware/regulatory.db-upstream
      fi

  - action: recipe
    description: Clean up rootfs
    recipe: scripts/clean.yaml

  - action: pack
    description: Save rootfs
    file: .rootfs/{{ $distro }}_{{ $suite }}{{ $repo_prefix }}_{{ $flavor }}.tar
